package com.gree.mall.manager.bean.ums;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class SubsidyApplyTraceBean {
    @ApiModelProperty(value = "流水号")
    private String traceId;

    @ApiModelProperty(value = "商户订单号")
    private String merOrderId;

    @ApiModelProperty(value = "活动大类")
    private String activeBigClass;

    @ApiModelProperty(value = "收货地的省编码")
    private String provinceCode;

    @ApiModelProperty(value = "收货地的市编码")
    private String cityCode;

    @ApiModelProperty(value = "收货地的区编码")
    private String districtCode;

    @ApiModelProperty(value = "收货/安装详细地址")
    private String address;

    @ApiModelProperty(value = "证件图片(头像面）")
    private String idCardFrontPicKey;

    @ApiModelProperty(value = "证件图片(国徽面）")
    private String idCardBackPicKey;

    @ApiModelProperty(value = "购买商品数量")
    private Integer newElecAppCnt;

    @ApiModelProperty(value = "商品品牌名称")
    private String brand;

    @ApiModelProperty(value = "能效(水效) L1：一级能效，L2：二级能效")
    private String newEei;

    @ApiModelProperty(value = "品牌及型号")
    private String newElecAppBrandAndModel;

    @ApiModelProperty(value = "订单交易日期。格式：yyyyMMdd")
    private String transDate;

    @ApiModelProperty(value = "发票图片")
    private String newCelecAppInvPicKey;

    @ApiModelProperty(value = "发票代码")
    private String newInvCode;

    @ApiModelProperty(value = "发票号码")
    private String newInvNo;

    @ApiModelProperty(value = "开票日期")
    private String invoiceIssueDate;

    @ApiModelProperty(value = "含税发票金额")
    private BigDecimal newTotalPrice;

    @ApiModelProperty(value = "不含税发票金额")
    private BigDecimal newTotalPriceExcTax;

    @ApiModelProperty(value = "销售企业（网点）名称")
    private String salesCompName;

    @ApiModelProperty(value = "销售方纳税人识别号")
    private String salesCompCode;

    @ApiModelProperty(value = "购买商品照片 家电大类时:购买商品照片(必填)(需含外包装、产品主体、能效标识、SN码等)。")
    private String newElecAppPicKey;

    @ApiModelProperty(value = "其他资料-图片1")
    private String newOtherFile1Key;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "客户端IP地址")
    private String clientIp;

    @ApiModelProperty(value = "支付购买凭证图片")
    private String newTransRecPicKey;

    @ApiModelProperty(value = "平台ID")
    private String apId;
}
