package com.gree.mall.manager.commonmapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.gree.mall.manager.bean.tax.OrderTaxExcelBean;
import com.gree.mall.manager.plus.entity.GoodsCategory;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TaxMapper {
    @InterceptorIgnore(tenantLine = "1", blockAttack = "1", illegalSql = "1")
    GoodsCategory queryTaxById(@Param("orderDetailId")String orderDetailId);

    @InterceptorIgnore(tenantLine = "1", blockAttack = "1", illegalSql = "1")
    List<GoodsCategory> queryGoodsCategoryByOrderId(@Param("orderId")String orderId);

    List<OrderTaxExcelBean> queryOrderTaxExcelMsg(@Param("companyIds")List<String> companyIds, @Param("adminWebsitIds")List<String> adminWebsitIds
            ,@Param("status") Boolean status, @Param("orderId")String orderId);

}
